%define name	freedroidrpg
%define	oname	freedroidRPG
%define version	0.10.3
%define release	%mkrel 3
%define	Summary	A Diablo clone with the Tux as hero and the MS as evil power

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://freedroid.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
#Source1:	%{name_lower}-0.9.2.voicesamples.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
#Patch:		freedroidRPG-multiline-string.patch.bz2
License:	GPL
Group:		Games/Adventure
BuildRequires:	SDL_image-devel SDL_net-devel SDL_mixer-devel
BuildRequires:	gtk+-devel Mesa-common-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%{oname}
Provides:	%{oname} = %{version}-%{release}

%description
The Freedroid RPG is an extension/modification of the classical freedroid
engine into an RPG.  The main differences to the classical version are as
follows:

* The Tux is the main character of the rpg.  He is not displayed as a ball like
  in Freedroid but rather as an animated character, while other droids and
  humans in the game are still represented as the balls with some number or
  code in them.
* Dialogs and chatting with friendly droids and humans:  Multiple-choice menus
  and voice samples (with subtitles for those without sound).
* Melee weapons, armour and other items to be equipped have been added.
* An automap feature was added.
* Saving and loading of games.
* A shop to trade things.
* Controls are different:  Mouse can be used to do everything.  Joystick is not
  supported for moving around any more.
* The archive size (including sound samples) is about 10 times as big as for
  the classical version.  I'd like to appologize to all 56K modem owners at
  this point.

#%package -n	%{name}-voicesamples
#Summary:	Voice samples for Freedroid RPG
#Group:		Games/Adventure
#Requires:	%{name}
#Obsoletes:	%{oname}-voicesamples
#Provides:	%{oname}-voicesamples

#%description -n	%{name}-voicesamples
#This contains optional voice samples used by Freedroid RPG.

%prep
%setup -q
#%patch -p1 -b .strings
rm -rf `find -name .xvpics`

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
make clean
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

# Install voice samples.
#%{__tar} -xjC $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/sound/speeches -f %{SOURCE1}

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=FreedroidRPG
Comment=%{Summary}
Exec=%{_gamesbindir}/%{oname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Adventure;Game;AdventureGame;
EOF

install %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -n %{name}
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/applications/mandriva*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/sound
#%dir %{_gamesdatadir}/%{name}/sound/speeches
%{_gamesdatadir}/%{name}/sound/*
%{_gamesdatadir}/%{name}/graphics
%{_gamesdatadir}/%{name}/map
%{_gamesdatadir}/%{name}/sound/effects
%{_gamesdatadir}/%{name}/sound/music
%{_gamesdatadir}/%{name}/dialogs
%{_mandir}/man6/%{oname}.6*
%defattr(755,root,root,755)
%{_gamesbindir}/*

#%files -n %{name}-voicesamples
#%defattr(644,root,root,755)
#%{_gamesdatadir}/%{name}/sound/speeches/*


%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10.3-3mdv2009.0
+ Revision: 245362
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Jérôme Soyer <saispo@mandriva.org> 0.10.3-1mdv2008.1
+ Revision: 101330
- New release
- New release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Jul 07 2007 Olivier Blin <oblin@mandriva.com> 0.10.2-1mdv2008.0
+ Revision: 49398
- 0.10.2 (from Zombie Ryushu)

* Mon May 28 2007 Olivier Blin <oblin@mandriva.com> 0.10.1-2mdv2008.0
+ Revision: 31941
- add back menu post scripts

* Sat May 26 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.10.1-1mdv2008.0
+ Revision: 31562
- update to 0.10.1 (fixes #28932)
- remove old debian menu
- voice samples seems to have disappeared..


* Sun Dec 31 2006 Olivier Blin <oblin@mandriva.com> 0.10.0-1mdv2007.0
+ Revision: 102975
- 0.10.0
- Import freedroidrpg

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 0.9.13-3mdv2007.0
- fix buildrequires

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 0.9.13-2mdv2007.0
- xdg menu

* Sat May 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.13-1mdk
- 0.9.13 (closes #22291)
- %%mkrel

* Fri Aug 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.12-2mdk
- rebuild for new menu

* Thu Apr 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.12-1mdk
- 0.9.12

* Wed Feb 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.10-2mdk
- fix command in menu item
- compile with gtk+ and opengl support

* Sat Jan 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.10-1mdk
- 0.9.10
- convert name to lowercase

